<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
                             https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>com.pablotj</groupId>
    <artifactId>ai-chat-offline</artifactId>
    <version>1.0.0</version>
    <packaging>pom</packaging>

    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>3.5.3</version>
        <relativePath/>
    </parent>

    <modules>
        <module>chat-api</module>
        <module>chat-web-client</module>
    </modules>

    <name>ai-chat-offline-platform</name>
    <description>Project AI Chat Offline</description>

    <properties>
        <java.version>21</java.version>
    </properties>
</project>
